%global install_loc			%{_datadir}/eclipse/dropins

Name:			eclipse-wtp-common
Version:		3.4.0
Release:		0.1.20120425cvs%{?dist}
Summary:		Common infrastructure and utilities developed and used with WTP

License:		EPL
URL:			http://www.eclipse.org/webtools/common/
Source0:		eclipse-wtp-common-HEAD-fetched-src.tar.bz2
Source1:		fetch-wtp-common-source.sh

BuildArch:		noarch

BuildRequires:	java-devel >= 1.7.0
BuildRequires:	eclipse-pde >= 4.2.0-0.10
BuildRequires:	eclipse-platform >= 4.2.0-0.10
BuildRequires:	eclipse-jdt >= 4.2.0-0.10
BuildRequires:	eclipse-emf-xsd >= 2.8.0
BuildRequires:	eclipse-gef >= 3.7.0
BuildRequires:	eclipse-dtp >= 1.8.2
Requires:		eclipse-platform >= 4.2.0-0.10
Requires:		eclipse-jdt >= 4.2.0-10
Requires:		eclipse-emf-xsd >= 2.8.0
Requires:		eclipse-gef >= 3.8.0
Requires:		eclipse-dtp >= 1.8.2

%description
This package contains various common utilities that are developed and used with
the eclipse web tools platform including facets, snippets view, validation and
extensible URI resolver.

%prep
%setup -q -n eclipse-wtp-common-HEAD

%build
OPTIONS="-DforceContextQualifier=201109301723 -DjavacSource=1.5 -DjavacTarget=1.5"



eclipse-pdebuild -f org.eclipse.wst.common.fproj \
	-d "emf gef" -a "${OPTIONS}"

eclipse-pdebuild -f org.eclipse.jst.common.fproj.enablement.jdt \
	-d "emf gef" -a "$OPTIONS"

eclipse-pdebuild -f org.eclipse.wst.common_core.feature \
	-d "emf gef" -a "$OPTIONS"

eclipse-pdebuild -f org.eclipse.wst.server_core.feature \
	-d "emf gef" -a "$OPTIONS"

eclipse-pdebuild -f org.eclipse.wst.common_ui.feature \
	-d "emf gef" -a "$OPTIONS"

%install
install -d -m 755 %{buildroot}%{install_loc}/%{name}

unzip -q -o -d %{buildroot}%{install_loc}/%{name} \
 build/rpmBuild/org.eclipse.wst.common.fproj.zip

unzip -q -o -d %{buildroot}%{install_loc}/%{name} \
 build/rpmBuild/org.eclipse.jst.common.fproj.enablement.jdt.zip

unzip -q -o -d %{buildroot}%{install_loc}/%{name} \
 build/rpmBuild/org.eclipse.wst.common_core.feature.zip

unzip -q -o -d %{buildroot}%{install_loc}/%{name} \
 build/rpmBuild/org.eclipse.wst.server_core.feature.zip

unzip -q -o -d %{buildroot}%{install_loc}/%{name} \
 build/rpmBuild/org.eclipse.wst.common_ui.feature.zip


%files
%{install_loc}/%{name}


%changelog
* Wed Apr 25 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.4.0-0.1.20120425cvs
- Update to latest upstream revision (3.4.0 post M6)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jan 11 2012 Andrew Robinson <arobinso@redhat.com> 3.3.1-2
- Remove bundled license feature.

* Fri Sep 30 2011 Andrew Robinson <arobinso@redhat.com> 3.3.1-1
- Update to upstream 3.3.1 release

* Fri Sep 23 2011 Andrew Robinson <arobinso@redhat.com> 3.3.0-1
- Update to WTP-common 3.3.0 release

* Fri Jun 10 2011 Andrew Robinson <arobinso@redhat.com> 3.2.4-1
- Initial Fedora package
