#!/bin/sh
#
# eclipse-wtp-common SRPM produces one binary RPM including
# the wtp common libraries
#
RELEASE_TAG="HEAD"
DOT_TAG="HEAD"
LEGACY_TAG="HEAD"

rm -fr common
# get sources from wtp-common repo
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/webtools export -r ${LEGACY_TAG} common 
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/webtools export -r ${RELEASE_TAG} common 
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/eclipse export -r R3_7_maintenance org.eclipse.sdk-feature
mv org.eclipse.sdk-feature/features/org.eclipse.license common/features
rm -rf org.eclipse.sdk-feature
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/webtools export -r ${LEGACY_TAG}  servertools/plugins/org.eclipse.wst.server.core
mv servertools/plugins/org.eclipse.wst.server.core common/plugins
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/webtools export -r ${LEGACY_TAG}  servertools/plugins/org.eclipse.wst.internet.monitor.core
mv servertools/plugins/org.eclipse.wst.internet.monitor.core common/plugins
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/webtools export -r ${LEGACY_TAG}  servertools/features/org.eclipse.wst.server_core.feature
mv servertools/features/org.eclipse.wst.server_core.feature common/features
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/webtools export -r ${LEGACY_TAG} jeetools/plugins/org.eclipse.jst.common.frameworks
mv jeetools/plugins/org.eclipse.jst.common.frameworks common/plugins
rm -rf eclipse-wtp-common-${DOT_TAG}
mv common eclipse-wtp-common-${DOT_TAG}
#remove old tarball
rm -rf eclipse-wtp-common-${RELEASE_TAG}-fetched-src.tar.bz2
# fix documentation permissions
chmod 644 `find | grep -e "\.html$"`
chmod 644 `find | grep -e "\.xml$"`
#make tarball
tar cjf eclipse-wtp-common-${RELEASE_TAG}-fetched-src.tar.bz2 eclipse-wtp-common-${DOT_TAG}
#clean
rm -rf eclipse-wtp-common-${DOT_TAG}
rm -rf servertools
rm -rf jeetools